org.apache.kylin.jdbc.stub

## Class KylinClient.PreQueryRequest

- java.lang.Object
- - org.apache.kylin.jdbc.stub.KylinClient.QueryRequest
  - - org.apache.kylin.jdbc.stub.KylinClient.PreQueryRequest

Enclosing class:
  KylinClient

    public class KylinClient.PreQueryRequest
    extends KylinClient.QueryRequest

### Constructor Summary

Constructors
Constructor and Description
`KylinClient.PreQueryRequest()`

### Method Summary

Methods
`List<KylinClient.StateParam>` `getParams()`
`void` `setParams(List<KylinClient.StateParam> params)`

### Methods inherited from class org.apache.kylin.jdbc.stub.KylinClient.QueryRequest

`getProject, getSql, setProject, setSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinClient.PreQueryRequest

    public KylinClient.PreQueryRequest()

### Method Detail

#### getParams

    public List<KylinClient.StateParam> getParams()

#### setParams

    public void setParams(List<KylinClient.StateParam> params)